(function ($, Drupal, drupalSettings) {

  const toggleClass = 'doghouse-menu-toggle-open';
  const regionClass = '.region-doghouse-menu';

  Drupal.behaviors.doghouseMenuToggle = {
    attach(context) {
      $('.js-doghouse-menu-toggle', context).once('menu-toggle').click(function(e) {
        e.preventDefault();
        let toggleAnimation = $(this).attr('data-toggle-animation').replace('_','-');;
        $(regionClass).attr('data-toggle-animation', toggleAnimation).toggleClass(toggleClass);
        $(this).toggleClass(toggleClass);
      });
    },
  };

  Drupal.behaviors.doghouseMenuClose = {
    attach(context) {
      $('.js-doghouse-menu-close', context).once('menu-close').click(function(e) {
        e.preventDefault();
        $(regionClass).removeClass(toggleClass);
      });
    },
  };

}(jQuery, Drupal, drupalSettings));
